{
"id": "evt_6f1d2c9a8b7e4f3a2d1c0b9a",
"object": "event",
"created_at": "2023-11-07T05:31:56Z",
"data": {
"id": "call_6f1d2c9a8b7e4f3a2d1c0b9a",
"object": "call",
"status_reason": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"agent_id": "<string>",
"phone_number": "<string>",
"contact": {
"name": "<string>",
"email": "jsmith@example.com",
"external_id": "<string>"
},
"variables": {},
"metadata": {},
"batch_id": "<string>",
"test": true,
"duration_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"dialed_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"recording_url": "<string>",
"recording_expires_at": "2023-11-07T05:31:56Z",
"outcome": {
"disposition": "<string>",
"summary": "<string>",
"answers": {},
"lead_rating": 5,
"callback_requested": true,
"callback_time_text": "<string>",
"follow_up_note": "<string>",
"meeting": {
"requested": true,
"at": "<string>",
"time_text": "<string>",
"type": "<string>"
},
"transcript": [
{
"text": "<string>"
}
]
},
"idempotent_replay": true
}
}API Reference
Callnot connected
Sent once when a call ends without connecting: no_answer, busy, failed, canceled or expired (see data.status and data.status_reason).
WEBHOOK
call.not_connected
{
"id": "evt_6f1d2c9a8b7e4f3a2d1c0b9a",
"object": "event",
"created_at": "2023-11-07T05:31:56Z",
"data": {
"id": "call_6f1d2c9a8b7e4f3a2d1c0b9a",
"object": "call",
"status_reason": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"agent_id": "<string>",
"phone_number": "<string>",
"contact": {
"name": "<string>",
"email": "jsmith@example.com",
"external_id": "<string>"
},
"variables": {},
"metadata": {},
"batch_id": "<string>",
"test": true,
"duration_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"dialed_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"recording_url": "<string>",
"recording_expires_at": "2023-11-07T05:31:56Z",
"outcome": {
"disposition": "<string>",
"summary": "<string>",
"answers": {},
"lead_rating": 5,
"callback_requested": true,
"callback_time_text": "<string>",
"follow_up_note": "<string>",
"meeting": {
"requested": true,
"at": "<string>",
"time_text": "<string>",
"type": "<string>"
},
"transcript": [
{
"text": "<string>"
}
]
},
"idempotent_replay": true
}
}Authorizations
Your AI calling API key (vak_call_…). Authorization: Bearer <key> also works.
Body
application/json
Response
200
Any 2xx acknowledges the event.